Public Member Functions | Static Public Member Functions | Protected Member Functions

# GameConfig Class Reference

Inheritance diagram for GameConfig:

## Public Member Functions
| GameConfig (const GameConfig *config)
class GameInfo * | GetInfo () const
| Get the ScriptInfo linked to this ScriptConfig.
bool | ResetInfo (bool force_exact_match)
| When ever the Game Scanner is reloaded, all infos become invalid.
## Static Public Member Functions
static GameConfig * | GetConfig (ScriptSettingSource source=SSS_DEFAULT)
| Get the config of a company.
## Protected Member Functions
ScriptInfo * | FindInfo (const char *name, int version, bool force_exact_match)
| This function should call back to the Scanner in charge of this Config, to find the ScriptInfo belonging to a name+version.

## Detailed Description

Definition at line 17 of file game_config.hpp.

## Member Function Documentation

bool GameConfig::ResetInfo | ( | bool | force_exact_match | ) |

When ever the Game Scanner is reloaded, all infos become invalid.

This function tells GameConfig about this.

Parameters:

  | force_exact_match | If true try to find the exact same version as specified. If false any version is ok.

Returns:
  `true` if the reset was successful, `false` if the Game was no longer found.

Definition at line 40 of file game_config.cpp.

References Game::FindInfo(), ScriptConfig::info, ScriptConfig::name, and ScriptConfig::version.

The documentation for this class was generated from the following files:

- src/game/game_config.hpp
- src/game/game_config.cpp